<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Type Examples</TITLE>
<link href="builder_9.html" rel=Next>
<link href="builder_7.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_7.html">previous</A>, <A HREF="builder_9.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC21" HREF="builder_toc.html#TOC21">Examples</A></H2>


<H3><A NAME="SEC22" HREF="builder_toc.html#TOC22">Example: Defining a Simple Array</A></H3>
<P>
<A NAME="IDX66"></A>

<PRE>
        volatile char * foo[10][100];
</PRE>


<PRE>
        type_node * tn = block::parse_type("volatile char * [10][100]");
        block foo(block::new_sym(tn, "foo");
</PRE>



<H3><A NAME="SEC23" HREF="builder_toc.html#TOC23">Example: Defining Types for Functions and Structures</A></H3>
<P>
<A NAME="IDX67"></A>

<PRE>
        struct X {
                int I;
                double J;
                char * K
        };
        const struct X update_x(int, const struct X, double);

</PRE>


<PRE>
        type_node * X;
        type_node * update_x;
        X = block::parse_type("struct { int I; double J; char * K}");
        update_x = block::parse_type("const %% (int; const %%, double)",
                                     X, X);
</PRE>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_7.html">previous</A>, <A HREF="builder_9.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
